## FolksFavouriteDetails

FolksFavouriteDetails — Favourite status for a contact.

## Functions

void | folks_favourite_details_change_is_favourite ()
void | folks_favourite_details_change_is_favourite_finish ()
gboolean | folks_favourite_details_get_is_favourite ()
void | folks_favourite_details_set_is_favourite ()

## Types and Values

| FolksFavouriteDetails
struct | FolksFavouriteDetailsIface

## Description

This allows user-defined favourite contacts to be specified. A contact is a favourite if the user has selected them as such; the semantics of 'favourite' are left unspecified by folks. Typically, a user might select the contacts that they talk to most frequently as their favourite contacts in an instant messaging program, for example.

## Functions

### folks_favourite_details_change_is_favourite ()

    void
    folks_favourite_details_change_is_favourite
                                   (FolksFavouriteDetails *self,
                                    gboolean is_favourite,
                                    GAsyncReadyCallback _callback_,
                                    gpointer _user_data_);

Change whether the contact is a user-defined favourite.

It's preferred to call this rather than setting "is-favourite" directly, as this method gives error notification and will only return once the favouriteness has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the favouriteness failed

See also: `folks_favourite_details_change_is_favourite_finish()`

#### Parameters

self | the FolksFavouriteDetails instance |
is_favourite | . `true` if the contact is a favourite; `false` otherwise . | [in]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_favourite_details_change_is_favourite_finish ()

    void
    folks_favourite_details_change_is_favourite_finish
                                   (FolksFavouriteDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change whether the contact is a user-defined favourite.

It's preferred to call this rather than setting "is-favourite" directly, as this method gives error notification and will only return once the favouriteness has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the favouriteness failed

See also: `folks_favourite_details_change_is_favourite()`

#### Parameters

self | the FolksFavouriteDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_favourite_details_get_is_favourite ()

    gboolean
    folks_favourite_details_get_is_favourite
                                   (FolksFavouriteDetails *self);

Get and return the current value of the "is-favourite" property.

Whether this contact is a user-defined favourite.

#### Parameters

self | the FolksFavouriteDetails instance to query |

#### Returns

the value of the "is-favourite" property

### folks_favourite_details_set_is_favourite ()

    void
    folks_favourite_details_set_is_favourite
                                   (FolksFavouriteDetails *self,
                                    gboolean value);

Set the value of the "is-favourite" property to `value` .

Whether this contact is a user-defined favourite.

#### Parameters

self | the FolksFavouriteDetails instance to modify |
value | the new value of the "is-favourite" property |

## Types and Values

### FolksFavouriteDetails

    typedef struct _FolksFavouriteDetails FolksFavouriteDetails;

Favourite status for a contact.

This allows user-defined favourite contacts to be specified. A contact is a favourite if the user has selected them as such; the semantics of 'favourite' are left unspecified by folks. Typically, a user might select the contacts that they talk to most frequently as their favourite contacts in an instant messaging program, for example.

### struct FolksFavouriteDetailsIface

    struct FolksFavouriteDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_is_favourite) (FolksFavouriteDetails* self, gboolean is_favourite, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_is_favourite_finish) (FolksFavouriteDetails* self, GAsyncResult* _res_, GError** error);
    	gboolean (*get_is_favourite) (FolksFavouriteDetails* self);
    	void (*set_is_favourite) (FolksFavouriteDetails* self, gboolean value);
    };

Interface for creating FolksFavouriteDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_is_favourite` () | virtual method called by `folks_favourite_details_change_is_favourite()` |
`change_is_favourite_finish` () | asynchronous finish function for `change_is_favourite`, called by `folks_favourite_details_change_is_favourite()` |
`get_is_favourite` () | getter method for the abstract property "is-favourite" |
`set_is_favourite` () | setter method for the abstract property "is-favourite" |